require "watch/keeper/jira"
require "watch/keeper/version"

module Watch
  module Keeper
    class Xelor
      def initialize(sprockets)
        @xelors = connect(sprockets)
      end

      def report(tracker, project_id, issue_type, summary)
        if @xelors[tracker]
          @xelors[tracker].report(project_id, issue_type, summary)
        else
        end
      end

      private

      def connect(sprockets)
        if sprockets["jira"]
          begin
            @xelors["jira"] = Watch::Keeper::Jira.new(sprockets["jira"])
          rescue
          end
        end
      end

    end
  end
end
